ru.bitel.bgbilling.plugins.bonus.common.bean

## Class BonusCharge

- java.lang.Object
- - ru.bitel.bgbilling.plugins.bonus.common.bean.BonusCharge

-     public class BonusCharge
      extends java.lang.Object

  Бонусный расход.
  Author:
    ildar

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BonusCharge()`
    `BonusCharge(int id, java.util.Date date, java.math.BigDecimal sum, int contractChargeId)` Клиентский конструктор.
    `BonusCharge(int id, java.util.Date date, int typeId, java.math.BigDecimal sum, int contractChargeId)` Серверный конструктор.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getContractChargeId()`
    `java.util.Date` | `getDate()`
    `java.lang.String` | `getDateString()`
    `int` | `getId()`
    `java.math.BigDecimal` | `getSum()`
    `int` | `getTypeId()`
    `void` | `setContractChargeId(int contractChargeId)`
    `void` | `setDate(java.util.Date date)`
    `void` | `setDateString(java.lang.String dateString)`
    `void` | `setId(int id)`
    `void` | `setSum(java.math.BigDecimal sum)`
    `void` | `setTypeId(int typeId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BonusCharge

          public BonusCharge()

    - #### BonusCharge

          public BonusCharge(int id,
                             java.util.Date date,
                             int typeId,
                             java.math.BigDecimal sum,
                             int contractChargeId)

      Серверный конструктор.
      Parameters:
        `id` - - ид бонусного расхода, при создании = 0
        `date` - - дата
        `typeId` - - тип расхода договора( у бонусных расходов нет своего справочника типов )
        `sum` - - сумма бонусного расхода.
        `contractChargeId` - - ид расхода договора( бонусные не расходы не могут быть сами по себе, они всегда привязаны к расходу договора )

    - #### BonusCharge

          public BonusCharge(int id,
                             java.util.Date date,
                             java.math.BigDecimal sum,
                             int contractChargeId)

      Клиентский конструктор.

  - ### Method Detail

    - #### getId

          public int getId()

    - #### setId

          public void setId(int id)

    - #### getTypeId

          public int getTypeId()

    - #### setTypeId

          public void setTypeId(int typeId)

    - #### getDate

          public java.util.Date getDate()

    - #### setDate

          public void setDate(java.util.Date date)

    - #### getSum

          public java.math.BigDecimal getSum()

    - #### setSum

          public void setSum(java.math.BigDecimal sum)

    - #### getDateString

          public java.lang.String getDateString()

    - #### setDateString

          public void setDateString(java.lang.String dateString)

    - #### getContractChargeId

          public int getContractChargeId()

    - #### setContractChargeId

          public void setContractChargeId(int contractChargeId)